Projects

List all of the projects in the supplied Octopus Deploy Space, from all project groups. The results will be sorted alphabetically by name

GET /api/{spaceId}/projects

Also reachable at /api/projects, /api/spaces/{spaceIdentifier}/projects.

Path Parameters

  • spaceId string (required)

Query Parameters

  • clonedFromProjectId string
  • ids array of string
  • name string
    (Obsolete) A partial or complete name to limit the set of retrieved Projects to. This will perform a “contains” style match against the supplied name or name-fragment. Left for backwards compatibility.
  • partialName string
    A partial name, to limit the set of Projects to those with a name that includes the partial name.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — List all of the projects in the supplied Octopus Deploy Space, from all project groups. The results will be sorted alphabetically by name.

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • AllowIgnoreChannelRules boolean
    • AutoCreateRelease boolean
    • AutoDeployReleaseOverrides array of object
    • ClonedFromProjectId string
    • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
    • DefaultGuidedFailureMode enum
      Allowed values: EnvironmentDefault, Off, On.
    • DefaultPowerShellEdition string
    • DefaultToSkipIfAlreadyInstalled boolean
    • DeploymentChangesTemplate string
    • DeploymentProcessId string
    • DeprovisioningRunbookId string
    • Description string
    • DiscreteChannelRelease boolean
      Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
    • ExecuteDeploymentsOnEventBasedPipeline boolean
    • ExtensionSettings array of object
    • ForcePackageDownload boolean
    • Icon object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IncludedLibraryVariableSetIds array of string
      Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
    • IsBadgesEnabled boolean
    • IsDisabled boolean
    • IsVersionControlled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LifecycleId string
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • PersistenceSettings object
    • ProjectConnectivityPolicy object
    • ProjectGroupId string
    • ProjectTags array of string
      List of tags assigned to this project.
    • ProjectTemplateDetails object
    • ProvisioningRunbookId string
    • ReleaseCreationStrategy object
    • ReleaseNotesTemplate string
    • Slug string
    • SpaceId string
    • Templates array of object
    • TenantedDeploymentMode enum
      Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
    • VariableSetId string
    • VersioningStrategy object
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "AllowIgnoreChannelRules": true,
      "AutoCreateRelease": true,
      "AutoDeployReleaseOverrides": [
        {}
      ],
      "ClonedFromProjectId": "string",
      "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
      "DefaultGuidedFailureMode": "EnvironmentDefault",
      "DefaultPowerShellEdition": "string",
      "DefaultToSkipIfAlreadyInstalled": true,
      "DeploymentChangesTemplate": "string",
      "DeploymentProcessId": "string",
      "DeprovisioningRunbookId": "string",
      "Description": "string",
      "DiscreteChannelRelease": true,
      "ExecuteDeploymentsOnEventBasedPipeline": true,
      "ExtensionSettings": [
        {}
      ],
      "ForcePackageDownload": true,
      "Icon": {
        "Color": "string",
        "Id": "string"
      },
      "Id": "string",
      "IncludedLibraryVariableSetIds": [
        "string"
      ],
      "IsBadgesEnabled": true,
      "IsDisabled": true,
      "IsVersionControlled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "LifecycleId": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "PersistenceSettings": {
        "Type": "Database"
      },
      "ProjectConnectivityPolicy": {
        "AllowDeploymentsToNoTargets": true,
        "ExcludeUnhealthyTargets": true,
        "SkipMachineBehavior": "None",
        "TargetRoles": [
          "string"
        ]
      },
      "ProjectGroupId": "string",
      "ProjectTags": [
        "string"
      ],
      "ProjectTemplateDetails": {
        "IsShared": true,
        "Slug": "string",
        "VersionMask": "string"
      },
      "ProvisioningRunbookId": "string",
      "ReleaseCreationStrategy": {
        "ChannelId": "string",
        "ReleaseCreationPackage": {}
      },
      "ReleaseNotesTemplate": "string",
      "Slug": "string",
      "SpaceId": "string",
      "Templates": [
        {}
      ],
      "TenantedDeploymentMode": "Untenanted",
      "VariableSetId": "string",
      "VersioningStrategy": {
        "DonorPackage": {},
        "Template": "string"
      }
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new project

POST /api/{spaceId}/projects

Also reachable at /api/projects, /api/spaces/{spaceIdentifier}/projects.

Path Parameters

  • spaceId string (required)

Request Body

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • Clone string
    ID of an existing project in the same space whose configuration (deployment process, variables, channels, runbooks, triggers) is copied into the new project. The source project must store its configuration in the database, not Git.
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsDisabled boolean
  • LifecycleId string (required)
  • Name string (required)
    Minimum length 1.
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string (required)
  • ProjectTags array of string
    Tags to apply to the project, each written as “TagSet/Tag” using either the names or the IDs of the tag set and tag (for example “Regions/us-east”). Call find_tag_sets to discover which tag sets apply to projects and what tags they contain.
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • RetainTenantConnections boolean
    When cloning, copy the source project’s tenant connections to the new project. Only honoured when Clone is set. Defaults to false.
  • Slug string
    URL-friendly short identifier for the project, unique within the space (for example “web-store”). Leave unset to have one generated from the name.
  • SpaceId string (required)
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Response

201 — Created

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • ClonedFromProjectId string
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultPowerShellEdition string
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • DeploymentProcessId string
  • DeprovisioningRunbookId string
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsBadgesEnabled boolean
  • IsDisabled boolean
  • IsVersionControlled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LifecycleId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string
  • ProjectTags array of string
    List of tags assigned to this project.
  • ProjectTemplateDetails object
    • IsShared boolean
    • Slug string
    • VersionMask string
      Minimum length 1.
  • ProvisioningRunbookId string
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • Slug string
  • SpaceId string
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VariableSetId string
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Example Request

JSON
{
  "AllowIgnoreChannelRules": true,
  "AutoCreateRelease": true,
  "AutoDeployReleaseOverrides": [
    {
      "EnvironmentId": "string",
      "ReleaseId": "string",
      "TenantId": "string"
    }
  ],
  "Clone": "string",
  "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
  "DefaultGuidedFailureMode": "EnvironmentDefault",
  "DefaultToSkipIfAlreadyInstalled": true,
  "DeploymentChangesTemplate": "string",
  "Description": "string",
  "DiscreteChannelRelease": true,
  "ExecuteDeploymentsOnEventBasedPipeline": true,
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "ForcePackageDownload": true,
  "IncludedLibraryVariableSetIds": [
    "string"
  ],
  "IsDisabled": true,
  "LifecycleId": "string",
  "Name": "string",
  "PersistenceSettings": {
    "Type": "Database"
  },
  "ProjectConnectivityPolicy": {
    "AllowDeploymentsToNoTargets": true,
    "ExcludeUnhealthyTargets": true,
    "SkipMachineBehavior": "None",
    "TargetRoles": [
      "string"
    ]
  },
  "ProjectGroupId": "string",
  "ProjectTags": [
    "string"
  ],
  "ReleaseCreationStrategy": {
    "ChannelId": "string",
    "ReleaseCreationPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    }
  },
  "ReleaseNotesTemplate": "string",
  "RetainTenantConnections": true,
  "Slug": "string",
  "SpaceId": "string",
  "Templates": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "TenantedDeploymentMode": "Untenanted",
  "VersioningStrategy": {
    "DonorPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    },
    "Template": "string"
  }
}

Example Response

JSON
{
  "AllowIgnoreChannelRules": true,
  "AutoCreateRelease": true,
  "AutoDeployReleaseOverrides": [
    {
      "EnvironmentId": "string",
      "ReleaseId": "string",
      "TenantId": "string"
    }
  ],
  "ClonedFromProjectId": "string",
  "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
  "DefaultGuidedFailureMode": "EnvironmentDefault",
  "DefaultPowerShellEdition": "string",
  "DefaultToSkipIfAlreadyInstalled": true,
  "DeploymentChangesTemplate": "string",
  "DeploymentProcessId": "string",
  "DeprovisioningRunbookId": "string",
  "Description": "string",
  "DiscreteChannelRelease": true,
  "ExecuteDeploymentsOnEventBasedPipeline": true,
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "ForcePackageDownload": true,
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IncludedLibraryVariableSetIds": [
    "string"
  ],
  "IsBadgesEnabled": true,
  "IsDisabled": true,
  "IsVersionControlled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LifecycleId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PersistenceSettings": {
    "Type": "Database"
  },
  "ProjectConnectivityPolicy": {
    "AllowDeploymentsToNoTargets": true,
    "ExcludeUnhealthyTargets": true,
    "SkipMachineBehavior": "None",
    "TargetRoles": [
      "string"
    ]
  },
  "ProjectGroupId": "string",
  "ProjectTags": [
    "string"
  ],
  "ProjectTemplateDetails": {
    "IsShared": true,
    "Slug": "string",
    "VersionMask": "string"
  },
  "ProvisioningRunbookId": "string",
  "ReleaseCreationStrategy": {
    "ChannelId": "string",
    "ReleaseCreationPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    }
  },
  "ReleaseNotesTemplate": "string",
  "Slug": "string",
  "SpaceId": "string",
  "Templates": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "TenantedDeploymentMode": "Untenanted",
  "VariableSetId": "string",
  "VersioningStrategy": {
    "DonorPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    },
    "Template": "string"
  }
}

List all of the projects in the supplied Octopus Deploy Space

GET /api/{spaceId}/projects/all

Also reachable at /api/projects/all, /api/spaces/{spaceIdentifier}/projects/all.

Path Parameters

  • spaceId string (required)
    ID of the space.

Query Parameters

  • ids array of string
    Project Ids of Projects to filter results to.

Response

200 — All of the project resources in the supplied Octopus Deploy Space.

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • ClonedFromProjectId string
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultPowerShellEdition string
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • DeploymentProcessId string
  • DeprovisioningRunbookId string
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsBadgesEnabled boolean
  • IsDisabled boolean
  • IsVersionControlled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LifecycleId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string
  • ProjectTags array of string
    List of tags assigned to this project.
  • ProjectTemplateDetails object
    • IsShared boolean
    • Slug string
    • VersionMask string
      Minimum length 1.
  • ProvisioningRunbookId string
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • Slug string
  • SpaceId string
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VariableSetId string
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Example Response

JSON
[
  {
    "AllowIgnoreChannelRules": true,
    "AutoCreateRelease": true,
    "AutoDeployReleaseOverrides": [
      {
        "EnvironmentId": "string",
        "ReleaseId": "string",
        "TenantId": "string"
      }
    ],
    "ClonedFromProjectId": "string",
    "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
    "DefaultGuidedFailureMode": "EnvironmentDefault",
    "DefaultPowerShellEdition": "string",
    "DefaultToSkipIfAlreadyInstalled": true,
    "DeploymentChangesTemplate": "string",
    "DeploymentProcessId": "string",
    "DeprovisioningRunbookId": "string",
    "Description": "string",
    "DiscreteChannelRelease": true,
    "ExecuteDeploymentsOnEventBasedPipeline": true,
    "ExtensionSettings": [
      {
        "ExtensionId": "string",
        "Values": "string"
      }
    ],
    "ForcePackageDownload": true,
    "Icon": {
      "Color": "string",
      "Id": "string"
    },
    "Id": "string",
    "IncludedLibraryVariableSetIds": [
      "string"
    ],
    "IsBadgesEnabled": true,
    "IsDisabled": true,
    "IsVersionControlled": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "LifecycleId": "string",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "PersistenceSettings": {
      "Type": "Database"
    },
    "ProjectConnectivityPolicy": {
      "AllowDeploymentsToNoTargets": true,
      "ExcludeUnhealthyTargets": true,
      "SkipMachineBehavior": "None",
      "TargetRoles": [
        "string"
      ]
    },
    "ProjectGroupId": "string",
    "ProjectTags": [
      "string"
    ],
    "ProjectTemplateDetails": {
      "IsShared": true,
      "Slug": "string",
      "VersionMask": "string"
    },
    "ProvisioningRunbookId": "string",
    "ReleaseCreationStrategy": {
      "ChannelId": "string",
      "ReleaseCreationPackage": {
        "DeploymentAction": "string",
        "PackageReference": "string"
      }
    },
    "ReleaseNotesTemplate": "string",
    "Slug": "string",
    "SpaceId": "string",
    "Templates": [
      {
        "DefaultValue": {},
        "DisplaySettings": {},
        "HelpText": "string",
        "Id": "string",
        "Label": "string",
        "Name": "string"
      }
    ],
    "TenantedDeploymentMode": "Untenanted",
    "VariableSetId": "string",
    "VersioningStrategy": {
      "DonorPackage": {
        "DeploymentAction": "string",
        "PackageReference": "string"
      },
      "Template": "string"
    }
  }
]

Get the logo associated with the project

GET /api/{spaceId}/projects/{id}/logo

Also reachable at /api/projects/{id}/logo, /api/spaces/{spaceIdentifier}/projects/{id}/logo.

Path Parameters

  • id string (required)
    ID of the resource.
  • spaceId string (required)
    ID of the space.

Response

200 — Success

Example Response

JSON
"string"

Get a Project by ID or slug

GET /api/{spaceId}/projects/{projectId}

Also reachable at /api/projects/{projectId}, /api/projects/{projectId}/{unusedGitRef}, /api/spaces/{spaceIdentifier}/projects/{projectId}, /api/spaces/{spaceIdentifier}/projects/{projectId}/{unusedGitRef}, /api/{spaceId}/projects/{projectId}/{unusedGitRef}.

Path Parameters

  • projectId string (required)
    ID of the Project to return.
  • spaceId string (required)

Response

200 — The requested Project.

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • ClonedFromProjectId string
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultPowerShellEdition string
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • DeploymentProcessId string
  • DeprovisioningRunbookId string
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsBadgesEnabled boolean
  • IsDisabled boolean
  • IsVersionControlled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LifecycleId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string
  • ProjectTags array of string
    List of tags assigned to this project.
  • ProjectTemplateDetails object
    • IsShared boolean
    • Slug string
    • VersionMask string
      Minimum length 1.
  • ProvisioningRunbookId string
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • Slug string
  • SpaceId string
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VariableSetId string
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Example Response

JSON
{
  "AllowIgnoreChannelRules": true,
  "AutoCreateRelease": true,
  "AutoDeployReleaseOverrides": [
    {
      "EnvironmentId": "string",
      "ReleaseId": "string",
      "TenantId": "string"
    }
  ],
  "ClonedFromProjectId": "string",
  "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
  "DefaultGuidedFailureMode": "EnvironmentDefault",
  "DefaultPowerShellEdition": "string",
  "DefaultToSkipIfAlreadyInstalled": true,
  "DeploymentChangesTemplate": "string",
  "DeploymentProcessId": "string",
  "DeprovisioningRunbookId": "string",
  "Description": "string",
  "DiscreteChannelRelease": true,
  "ExecuteDeploymentsOnEventBasedPipeline": true,
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "ForcePackageDownload": true,
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IncludedLibraryVariableSetIds": [
    "string"
  ],
  "IsBadgesEnabled": true,
  "IsDisabled": true,
  "IsVersionControlled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LifecycleId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PersistenceSettings": {
    "Type": "Database"
  },
  "ProjectConnectivityPolicy": {
    "AllowDeploymentsToNoTargets": true,
    "ExcludeUnhealthyTargets": true,
    "SkipMachineBehavior": "None",
    "TargetRoles": [
      "string"
    ]
  },
  "ProjectGroupId": "string",
  "ProjectTags": [
    "string"
  ],
  "ProjectTemplateDetails": {
    "IsShared": true,
    "Slug": "string",
    "VersionMask": "string"
  },
  "ProvisioningRunbookId": "string",
  "ReleaseCreationStrategy": {
    "ChannelId": "string",
    "ReleaseCreationPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    }
  },
  "ReleaseNotesTemplate": "string",
  "Slug": "string",
  "SpaceId": "string",
  "Templates": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "TenantedDeploymentMode": "Untenanted",
  "VariableSetId": "string",
  "VersioningStrategy": {
    "DonorPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    },
    "Template": "string"
  }
}

Modify an existing Project

PUT /api/{spaceId}/projects/{projectId}

Also reachable at /api/projects/{projectId}, /api/spaces/{spaceIdentifier}/projects/{projectId}.

Path Parameters

  • projectId string (required)
    ID of the project to modify.
  • spaceId string (required)

Request Body

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • ChangeDescription string
    The change description.
  • ClonedFromProjectId string
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultPowerShellEdition string
    Which edition of PowerShell the project’s script steps run under: “Desktop” (Windows PowerShell) or “Core” (cross-platform PowerShell). Leave unset to inherit the server default.
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • DeprovisioningRunbookId string
    ID of a runbook in this project that tears down an ephemeral environment. Must be an existing runbook of this project; call find_runbooks to look one up. Only relevant to projects using ephemeral environments.
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a separate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsBadgesEnabled boolean
  • IsDisabled boolean
  • LifecycleId string (required)
  • Name string (required)
    Minimum length 1.
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string (required)
  • ProjectId string (required)
    ID of the project to modify.
  • ProjectTags array of string
    The project’s complete set of tags, each written as “TagSet/Tag” using either the names or the IDs of the tag set and tag (for example “Regions/us-east”). This replaces the project’s current tags, so resubmit the existing ones you want to keep. Call find_tag_sets to discover which tag sets apply to projects.
  • ProvisioningRunbookId string
    ID of a runbook in this project that provisions an ephemeral environment. Must be an existing runbook of this project; call find_runbooks to look one up. Only relevant to projects using ephemeral environments.
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • Slug string
    URL-friendly short identifier for the project, unique within the space. Leave unset to keep the project’s current slug.
  • SpaceId string (required)
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Response

200 — Confirms that the Project has been modified, containing the updated Project

  • AllowIgnoreChannelRules boolean
  • AutoCreateRelease boolean
  • AutoDeployReleaseOverrides array of object
    • EnvironmentId string
    • ReleaseId string
    • TenantId string
  • ClonedFromProjectId string
  • CombineHealthAndSyncStatusInDashboardLiveStatus boolean
  • DefaultGuidedFailureMode enum
    Allowed values: EnvironmentDefault, Off, On.
  • DefaultPowerShellEdition string
  • DefaultToSkipIfAlreadyInstalled boolean
  • DeploymentChangesTemplate string
  • DeploymentProcessId string
  • DeprovisioningRunbookId string
  • Description string
  • DiscreteChannelRelease boolean
    Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereas True indicates “microservice”-style usage (single release per environment per channel).
  • ExecuteDeploymentsOnEventBasedPipeline boolean
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • ForcePackageDownload boolean
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IncludedLibraryVariableSetIds array of string
    Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.
  • IsBadgesEnabled boolean
  • IsDisabled boolean
  • IsVersionControlled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LifecycleId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • PersistenceSettings object
    • Type enum
      Allowed values: Database, VersionControlled.
  • ProjectConnectivityPolicy object
    • AllowDeploymentsToNoTargets boolean
    • ExcludeUnhealthyTargets boolean
    • SkipMachineBehavior enum
      Allowed values: None, SkipUnavailableMachines.
    • TargetRoles array of string
  • ProjectGroupId string
  • ProjectTags array of string
    List of tags assigned to this project.
  • ProjectTemplateDetails object
    • IsShared boolean
    • Slug string
    • VersionMask string
      Minimum length 1.
  • ProvisioningRunbookId string
  • ReleaseCreationStrategy object
    • ChannelId string
    • ReleaseCreationPackage object
  • ReleaseNotesTemplate string
  • Slug string
  • SpaceId string
  • Templates array of object
    • DefaultValue object
    • DisplaySettings object
    • HelpText string
    • Id string
    • Label string
    • Name string
  • TenantedDeploymentMode enum
    Allowed values: Untenanted, TenantedOrUntenanted, Tenanted.
  • VariableSetId string
  • VersioningStrategy object
    • DonorPackage object
    • Template string

Example Request

JSON
{
  "AllowIgnoreChannelRules": true,
  "AutoCreateRelease": true,
  "AutoDeployReleaseOverrides": [
    {
      "EnvironmentId": "string",
      "ReleaseId": "string",
      "TenantId": "string"
    }
  ],
  "ChangeDescription": "string",
  "ClonedFromProjectId": "string",
  "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
  "DefaultGuidedFailureMode": "EnvironmentDefault",
  "DefaultPowerShellEdition": "string",
  "DefaultToSkipIfAlreadyInstalled": true,
  "DeploymentChangesTemplate": "string",
  "DeprovisioningRunbookId": "string",
  "Description": "string",
  "DiscreteChannelRelease": true,
  "ExecuteDeploymentsOnEventBasedPipeline": true,
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "ForcePackageDownload": true,
  "IncludedLibraryVariableSetIds": [
    "string"
  ],
  "IsBadgesEnabled": true,
  "IsDisabled": true,
  "LifecycleId": "string",
  "Name": "string",
  "PersistenceSettings": {
    "Type": "Database"
  },
  "ProjectConnectivityPolicy": {
    "AllowDeploymentsToNoTargets": true,
    "ExcludeUnhealthyTargets": true,
    "SkipMachineBehavior": "None",
    "TargetRoles": [
      "string"
    ]
  },
  "ProjectGroupId": "string",
  "ProjectId": "string",
  "ProjectTags": [
    "string"
  ],
  "ProvisioningRunbookId": "string",
  "ReleaseCreationStrategy": {
    "ChannelId": "string",
    "ReleaseCreationPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    }
  },
  "ReleaseNotesTemplate": "string",
  "Slug": "string",
  "SpaceId": "string",
  "Templates": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "TenantedDeploymentMode": "Untenanted",
  "VersioningStrategy": {
    "DonorPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    },
    "Template": "string"
  }
}

Example Response

JSON
{
  "AllowIgnoreChannelRules": true,
  "AutoCreateRelease": true,
  "AutoDeployReleaseOverrides": [
    {
      "EnvironmentId": "string",
      "ReleaseId": "string",
      "TenantId": "string"
    }
  ],
  "ClonedFromProjectId": "string",
  "CombineHealthAndSyncStatusInDashboardLiveStatus": true,
  "DefaultGuidedFailureMode": "EnvironmentDefault",
  "DefaultPowerShellEdition": "string",
  "DefaultToSkipIfAlreadyInstalled": true,
  "DeploymentChangesTemplate": "string",
  "DeploymentProcessId": "string",
  "DeprovisioningRunbookId": "string",
  "Description": "string",
  "DiscreteChannelRelease": true,
  "ExecuteDeploymentsOnEventBasedPipeline": true,
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "ForcePackageDownload": true,
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IncludedLibraryVariableSetIds": [
    "string"
  ],
  "IsBadgesEnabled": true,
  "IsDisabled": true,
  "IsVersionControlled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LifecycleId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "PersistenceSettings": {
    "Type": "Database"
  },
  "ProjectConnectivityPolicy": {
    "AllowDeploymentsToNoTargets": true,
    "ExcludeUnhealthyTargets": true,
    "SkipMachineBehavior": "None",
    "TargetRoles": [
      "string"
    ]
  },
  "ProjectGroupId": "string",
  "ProjectTags": [
    "string"
  ],
  "ProjectTemplateDetails": {
    "IsShared": true,
    "Slug": "string",
    "VersionMask": "string"
  },
  "ProvisioningRunbookId": "string",
  "ReleaseCreationStrategy": {
    "ChannelId": "string",
    "ReleaseCreationPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    }
  },
  "ReleaseNotesTemplate": "string",
  "Slug": "string",
  "SpaceId": "string",
  "Templates": [
    {
      "DefaultValue": {
        "IsSensitive": true,
        "SensitiveValue": {},
        "Value": "string"
      },
      "DisplaySettings": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "HelpText": "string",
      "Id": "string",
      "Label": "string",
      "Name": "string"
    }
  ],
  "TenantedDeploymentMode": "Untenanted",
  "VariableSetId": "string",
  "VersioningStrategy": {
    "DonorPackage": {
      "DeploymentAction": "string",
      "PackageReference": "string"
    },
    "Template": "string"
  }
}

Delete an existing Project

DELETE /api/{spaceId}/projects/{projectId}

Also reachable at /api/projects/{projectId}, /api/spaces/{spaceIdentifier}/projects/{projectId}.

Path Parameters

  • projectId string (required)
    ID of the Project to delete.
  • spaceId string (required)

Response

200 — Success

Test the Git settings to make sure we can connect

POST /api/{spaceId}/projects/{projectId}/git/connectivity-test

Also reachable at /api/projects/{projectId}/git/connectivity-test, /api/spaces/{spaceIdentifier}/projects/{projectId}/git/connectivity-test.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Request Body

  • BasePath string (required)
  • Credentials object (required)
    • Type enum
      Allowed values: Anonymous, UsernamePassword, Reference, GitHub, SshKey.
  • DefaultBranch string (required)
  • ProjectId string (required)
  • SpaceId string (required)
  • Url string (required)
    Minimum length 1.

Response

200 — The results from testing git settings.

  • Messages array of object
    • Category enum
      Allowed values: Info, Error.
    • Message string
      Minimum length 1.

Example Request

JSON
{
  "BasePath": "string",
  "Credentials": {
    "Type": "Anonymous"
  },
  "DefaultBranch": "string",
  "ProjectId": "string",
  "SpaceId": "string",
  "Url": "string"
}

Example Response

JSON
{
  "Messages": [
    {
      "Category": "Info",
      "Message": "string"
    }
  ]
}

Convert an existing project to store its configuration in version control

POST /api/{spaceId}/projects/{projectId}/git/convert

Also reachable at /api/projects/{projectId}/git/convert, /api/spaces/{spaceIdentifier}/projects/{projectId}/git/convert.

Path Parameters

  • projectId string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • ChangeDescription string (required)
    Minimum length 1.
  • CommitMessage string
  • InitialCommitBranchName string
  • ProjectId string (required)
  • SpaceId string (required)
    The ID of the space containing the resource(s).
  • VersionControlSettings object (required)
    • BasePath string (required)
    • ConversionState object
    • Credentials object (required)
    • DefaultBranch string (required)
    • ProtectedBranchNamePatterns array of string
    • ProtectedDefaultBranch boolean
    • SerializationFormat enum
      Allowed values: Ocl, Yaml.
    • Type enum (required)
      Defaults to VersionControlled.
      Allowed values: Database, VersionControlled.
    • Url string (required)
      Minimum length 1.

Response

200 — Empty response indicating the Project was converted

Example Request

JSON
{
  "ChangeDescription": "string",
  "CommitMessage": "string",
  "InitialCommitBranchName": "string",
  "ProjectId": "string",
  "SpaceId": "string",
  "VersionControlSettings": {
    "BasePath": "string",
    "ConversionState": {
      "RunbooksAreInGit": true,
      "VariablesAreInGit": true
    },
    "Credentials": {
      "Type": "Anonymous"
    },
    "DefaultBranch": "string",
    "ProtectedBranchNamePatterns": [
      "string"
    ],
    "ProtectedDefaultBranch": true,
    "SerializationFormat": "Ocl",
    "Type": "Database",
    "Url": "string"
  }
}

Example Response

JSON
{}

Convert all Runbooks to be stored in Git rather than the database

POST /api/{spaceId}/projects/{projectId}/git/migrate-runbooks

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/git/migrate-runbooks.

Path Parameters

  • projectId string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Branch string
    Branch to commit the migrated Runbooks to. Required if there are Runbooks to migrate.
  • CommitMessage string
    Commit message to use when committing the migrated Runbooks to Git. Required if there are Runbooks to migrate.
  • CreateBranch boolean
  • ProjectId string (required)
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Indicates that the project runbooks were converted to Git

  • DraftRunbooks array of object
    • RunbookId string
    • RunbookName string
  • PublishedRunbooks array of object
    • RunbookId string
    • RunbookName string
  • ServerTaskId string

Example Request

JSON
{
  "Branch": "string",
  "CommitMessage": "string",
  "CreateBranch": true,
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "DraftRunbooks": [
    {
      "RunbookId": "string",
      "RunbookName": "string"
    }
  ],
  "PublishedRunbooks": [
    {
      "RunbookId": "string",
      "RunbookName": "string"
    }
  ],
  "ServerTaskId": "string"
}

Update the logo associated with the project

POST /api/{spaceId}/projects/{projectId}/logo

Also reachable at /api/projects/{projectId}/logo, /api/spaces/{spaceIdentifier}/projects/{projectId}/logo.

Path Parameters

  • projectId string (required)
    The ID of the project to change logo for.
  • spaceId string (required)

Response

200 — Success

Update the logo associated with the project

PUT /api/{spaceId}/projects/{projectId}/logo

Path Parameters

  • projectId string (required)
    The ID of the project to change logo for.
  • spaceId string (required)

Response

200 — Success

Update the logo associated with the project

PUT /api/spaces/{spaceIdentifier}/projects/{projectId}/logo

Also reachable at /api/projects/{projectId}/logo.

Path Parameters

  • projectId string (required)
    The ID of the project to change logo for.
  • spaceIdentifier string (required)
    Identifier (ID or slug) of the space.

Response

200 — Success

Get the custom settings metadata from the extensions

GET /api/{spaceId}/projects/{projectId}/metadata

Also reachable at /api/projects/{projectId}/metadata, /api/spaces/{spaceIdentifier}/projects/{projectId}/metadata.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Response

200 — The custom settings metadata from the extensions.

  • ExtensionId string
    Minimum length 1.
  • Metadata object
    • Description string
    • Types array of object

Example Response

JSON
[
  {
    "ExtensionId": "string",
    "Metadata": {
      "Description": "string",
      "Types": [
        {}
      ]
    }
  }
]

Get a summary of project-specific information

GET /api/{spaceId}/projects/{projectId}/summary

Also reachable at /api/projects/{projectId}/summary, /api/spaces/{spaceIdentifier}/projects/{projectId}/summary.

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Project Summary

  • HasBeenSuccessfullyDeployed boolean
  • HasDeploymentProcess boolean
  • HasRunbooks boolean

Example Response

JSON
{
  "HasBeenSuccessfullyDeployed": true,
  "HasDeploymentProcess": true,
  "HasRunbooks": true
}

Get a summary of project-specific information

GET /api/{spaceId}/projects/{projectId}/summary/v1

Also reachable at /api/projects/{projectId}/summary/v1, /api/spaces/{spaceIdentifier}/projects/{projectId}/summary/v1.

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Project Summary

  • HasBeenSuccessfullyDeployed boolean
  • HasDeploymentProcess boolean
  • HasRunbooks boolean

Example Response

JSON
{
  "HasBeenSuccessfullyDeployed": true,
  "HasDeploymentProcess": true,
  "HasRunbooks": true
}

Get a summary of project-specific information

GET /api/{spaceId}/projects/{projectId}/{gitRef}/summary

Also reachable at /api/projects/{projectId}/{gitRef}/summary, /api/spaces/{spaceIdentifier}/projects/{projectId}/{gitRef}/summary.

Path Parameters

  • gitRef string (required)
  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Project Summary

  • HasBeenSuccessfullyDeployed boolean
  • HasDeploymentProcess boolean
  • HasRunbooks boolean

Example Response

JSON
{
  "HasBeenSuccessfullyDeployed": true,
  "HasDeploymentProcess": true,
  "HasRunbooks": true
}

Get a summary of project-specific information

GET /api/{spaceId}/projects/{projectId}/{gitRef}/summary/v1

Also reachable at /api/projects/{projectId}/{gitRef}/summary/v1, /api/spaces/{spaceIdentifier}/projects/{projectId}/{gitRef}/summary/v1.

Path Parameters

  • gitRef string (required)
  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Project Summary

  • HasBeenSuccessfullyDeployed boolean
  • HasDeploymentProcess boolean
  • HasRunbooks boolean

Example Response

JSON
{
  "HasBeenSuccessfullyDeployed": true,
  "HasDeploymentProcess": true,
  "HasRunbooks": true
}

Validate the provided git ref

POST /api/{spaceId}/projects/{projectId}/git/validate

Also reachable at /api/projects/{projectId}/git/validate, /api/spaces/{spaceIdentifier}/projects/{projectId}/git/validate.

Deprecated. This endpoint may be removed in a future release.

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)

Request Body

  • GitRef string (required)
  • ProjectId string (required)
    ID of the Project.
  • SpaceId string (required)

Response

200 — Validated Git ref or error message

  • Error string
  • ValidatedGitRef object
    • CanonicalName string
      Minimum length 1.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.

Example Request

JSON
{
  "GitRef": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Error": "string",
  "ValidatedGitRef": {
    "CanonicalName": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string"
  }
}